Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3363 - Error compiling DBI
Summary: Error compiling DBI
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-09 15:45 UTC by carlierd
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-02 22:21:20 UTC


Attachments (Terms of Use)

Description carlierd 1999-06-09 15:45:14 UTC
DBI 1.02 no longer compiles with perl as shipped with RedHat
6.0 (it did with RedHat 5.2).
gcc rightly complains about the semun union being defined
twice: once in /usr/src/linux/include/linux/sem.h and once
in /usr/lib/perl5/5.00503/i386-linux/CORE/perl.h

As a work around removing the comments around the definition
of HAS_UNION_SEMUN in
/usr/lib/perl5/5.00503/i386-linux/CORE/config.h at line
1710 fixes the problem.

Comment 1 Jay Turner 1999-06-29 14:57:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 Cristian Gafton 1999-07-02 22:21:59 UTC
Why is DBI including /usr/src/linux/include/linux/sem.h? The user
space  programs should not include the kernel header files directly.


Note You need to log in before you can comment on or make changes to this bug.